# Claim RSP Rewards

## The Reward-Share Model

Through our vToken Reward-Share Program (RSP), you can become a Bifrost RSP partner, share Bifrost vToken revenue, and help attract new users to Bifrost Liquid Staking solutions.

Bifrost provides liquid staking services and collects a fixed commission from the staking rewards of all tokens as protocol revenue (See [<mark style="color:purple;">current rate details</mark>](/tokenomics-2.0/treasury.md#staking-liquid-protocol-fee)).

> In the vToken Reward-Share Program, each registered channel can share the **Bifrost Protocol Revenue** according to a Partners amount of contribution and their channel’s reward rate.

{% hint style="info" %}
You can calculate your reward estimation via:[ <mark style="color:purple;">Shared-reward Calculator</mark>](https://docs.google.com/spreadsheets/d/1YeR9XNSATWr3EtVtvGigCHnry3bxNj0O_cFZshGMybg/edit?gid=0#gid=0)
{% endhint %}

The operational process of the vToken Reward-Share Program is as follows:

1. Register as a Reward-share Channel Partner on the Bifrost Chain through Bifrost Gov. ([<mark style="color:purple;">Tutorial</mark>](/for-partners/reward-share-program-rsp/join-the-program.md))
2. [<mark style="color:purple;">Integrate RSP</mark>](/for-partners/reward-share-program-rsp/integrate-rsp.md)
3. All minting completed through Step 2 will be taken account to "**Effective Minting**".
4. The "Effective Minting" is the key indicator that determines the shared reward a partner receives.

Here is an example below:

#### Example

Let’s assume some conditions first:

| vToken | Total Effective Minting on Bifrost | Channel A’s Effective Minting | DOT Staking APY | Protocol Reward Rate | Channel A’s Reward Rate |
| ------ | ---------------------------------- | ----------------------------- | --------------- | -------------------- | ----------------------- |
| vDOT   | 10,000,000 DOT                     | 3,000,000 DOT                 | 12%             | 10%                  | 20%                     |

The calculation of Channel A’s shared-reward:

`10,000,000 * 12% * 10% = 120,000 DOT` (The annual revenue of Bifrost Protocol.)

`3,000,000 / 10,000,000 = 30%` (The percentage of Channel A’s effective minting taken account on Bifrost Total effective minting.)

`120,000 * 30% * 20% = 7,200 DOT` (Channel A’s final annual shared reward.)

## Rewards Claim

All shared rewards are distributed via Bifrost vTokens. If you are running the RSP on different types of vTokens, your receiver address registered with the `channel_id` can claim them all.

{% hint style="info" %}
You can check RSP members and their corresponding shared-reward on this [<mark style="color:purple;">dashboard</mark>](https://rsp.bifrost.io/).
{% endhint %}

Follow the [<mark style="color:purple;">tutorial</mark>](/for-partners/reward-share-program-rsp/join-the-program.md#shared-reward-claim) to claim your shared-rewards.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bifrost.io/for-partners/reward-share-program-rsp/claim-rsp-rewards.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
